<jsp:root version="2.0" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:spring="http://www.springframework.org/tags"
  xmlns:c="http://java.sun.com/jsp/jstl/core" xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
  xmlns:su="http://openutils.sourceforge.net/openutils-tags-commonslang"
  xmlns:elx="http://openutils.sourceforge.net/openutils-tags-elx">
  <jsp:directive.attribute name="name" required="true" />
  <jsp:directive.attribute name="value" required="true" />
  <jsp:directive.attribute name="type" required="false" />
  <jsp:directive.attribute name="cssclass" required="false" />
  <jsp:directive.attribute name="style" required="false" />
  <jsp:directive.attribute name="maxlength" required="false" />
  <jsp:directive.attribute name="readonly" required="false" type="java.lang.Boolean" />
  <jsp:directive.attribute name="disabled" required="false" type="java.lang.Boolean" />
  <jsp:directive.attribute name="checked" required="false" type="java.lang.Boolean" />
  <jsp:directive.attribute name="onblur" required="false" />
  <jsp:directive.attribute name="onchange" required="false" />
  <jsp:directive.attribute name="onclick" required="false" />
  <jsp:directive.attribute name="ondblclick" required="false" />
  <jsp:directive.attribute name="onfocus" required="false" />
  <jsp:directive.attribute name="onkeydown" required="false" />
  <jsp:directive.attribute name="onkeypress" required="false" />
  <jsp:directive.attribute name="onkeyup" required="false" />
  <jsp:directive.attribute name="onmousedown" required="false" />
  <jsp:directive.attribute name="onmousemove" required="false" />
  <jsp:directive.attribute name="onmouseout" required="false" />
  <jsp:directive.attribute name="onmouseup" required="false" />
  <jsp:directive.attribute name="onselect" required="false" />
  <!-- 
    <![CDATA[
    http://search.cpan.org/src/BPOSTLE/MKDoc-XML-0.75/lib/MKDoc/XML/Stripper/xhtml10strict.txt
    # input
    # form control
    
    input accept
    input accesskey
    input alt
    input checked
    input class
    input dir
    input disabled
    input id
    input lang
    input maxlength
    input name
    input onblur
    input onchange
    input onclick
    input ondblclick
    input onfocus
    input onkeydown
    input onkeypress
    input onkeyup
    input onmousedown
    input onmousemove
    input onmouseout
    input onmouseover
    input onmouseup
    input onselect
    input readonly
    input size
    input src
    input style
    input tabindex
    input title
    input type
    input usemap
    input value
    input xml:lang
    
    ]]>
  -->
  <c:if test="${empty(type)}">
    <c:set var="type" value="text" />
  </c:if>
  <c:choose>
    <c:when test="${type == 'textarea'}">
      <![CDATA[<textarea name="${name}" id="${name}" ]]>
    </c:when>
    <c:otherwise>
      <![CDATA[<input name="${name}" id="${name}" type="${type}"]]>
    </c:otherwise>
  </c:choose>
  <c:choose>
    <c:when test="${type == 'textarea'}"></c:when>
    <c:otherwise>
      <![CDATA[ value="${value}" ]]>
    </c:otherwise>
  </c:choose>
  <c:if test="${!empty(cssclass)}">
    <![CDATA[ class="${cssclass}" ]]>
  </c:if>
  <c:if test="${!empty(onblur)}">
    <![CDATA[ onkeydown="${onblur}" ]]>
  </c:if>
  <c:if test="${!empty(onchange)}">
    <![CDATA[ onkeydown="${onchange}" ]]>
  </c:if>
  <c:if test="${!empty(onclick)}">
    <![CDATA[ onkeydown="${onclick}" ]]>
  </c:if>
  <c:if test="${!empty(ondblclick)}">
    <![CDATA[ onkeydown="${ondblclick}" ]]>
  </c:if>
  <c:if test="${!empty(onfocus)}">
    <![CDATA[ onkeydown="${onfocus}" ]]>
  </c:if>
  <c:if test="${!empty(onkeydown)}">
    <![CDATA[ onkeydown="${onkeydown}" ]]>
  </c:if>
  <c:if test="${!empty(onkeypress)}">
    <![CDATA[ onkeydown="${onkeypress}" ]]>
  </c:if>
  <c:if test="${!empty(onkeyup)}">
    <![CDATA[ onkeydown="${onkeyup}" ]]>
  </c:if>
  <c:if test="${!empty(onmousedown)}">
    <![CDATA[ onkeydown="${onmousedown}" ]]>
  </c:if>
  <c:if test="${!empty(onmousemove)}">
    <![CDATA[ onkeydown="${onmousemove}" ]]>
  </c:if>
  <c:if test="${!empty(onmouseout)}">
    <![CDATA[ onkeydown="${onmouseout}" ]]>
  </c:if>
  <c:if test="${!empty(onmouseover)}">
    <![CDATA[ onkeydown="${onmouseover}" ]]>
  </c:if>
  <c:if test="${!empty(onmouseup)}">
    <![CDATA[ onkeydown="${onmouseup}" ]]>
  </c:if>
  <c:if test="${!empty(onselect)}">
    <![CDATA[ onkeydown="${onselect}" ]]>
  </c:if>
  <c:if test="${!empty(style)}">
    <![CDATA[ style="${style}" ]]>
  </c:if>
  <c:if test="${readonly}">
    <![CDATA[ readonly="readonly" ]]>
  </c:if>
  <c:if test="${disabled}">
    <![CDATA[ disabled="disabled" ]]>
  </c:if>
  <c:if test="${!empty(onkeypress) || !empty(onkeydown) || !empty(onkeyup) || !empty(onchange) || !empty(onblur)}">
    <![CDATA[ autocomplete="off" ]]>
  </c:if>
  <c:choose>
    <c:when test="${type == 'text'}">
      <c:if test="${!empty(maxlength)}">
        <![CDATA[ maxlength="${maxlength}" ]]>
      </c:if>
    </c:when>
    <c:when test="${type == 'checkbox'}">
      <c:if test="${checked}">
        <![CDATA[ checked="checked" ]]>
      </c:if>
    </c:when>
  </c:choose>
  <c:choose>
    <c:when test="${type == 'textarea'}">
      <![CDATA[ >${value}</textarea>]]>
    </c:when>
    <c:otherwise>
      <![CDATA[ />]]>
    </c:otherwise>
  </c:choose>
  <c:if test="${type == 'checkbox'}">
    <input type="hidden" name="_${name}" value="${value}" />
  </c:if>
</jsp:root>
