<jsp:root version="2.0" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:spring="http://www.springframework.org/tags"
  xmlns:c="http://java.sun.com/jsp/jstl/core" xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
  xmlns:su="http://openutils.sourceforge.net/openutils-tags-commonslang"
  xmlns:elx="http://openutils.sourceforge.net/openutils-tags-elx">
  <jsp:directive.attribute name="name" required="true" />
  <jsp:directive.attribute name="readonly" required="false" type="java.lang.Boolean" />
  <jsp:directive.attribute name="disabled" required="false" type="java.lang.Boolean" />
  <jsp:directive.attribute name="style" required="false" />
  <jsp:directive.attribute name="cssclass" required="false" />
  <jsp:directive.attribute name="multiple" required="false" type="java.lang.Boolean" />
  <jsp:directive.attribute name="value" required="false" />
  <jsp:directive.attribute name="onchange" required="false" />
  <c:if test="${multiple}">
    <c:set var="cssclass">multiple ${cssclass}</c:set>
  </c:if>
  <!-- readonly selects are emulated using a disabled select + hidden field -->
  <c:if test="${readonly}">
    <input type="hidden" name="${name}" value="${value}" />
  </c:if>
  <![CDATA[<select name="${name}"]]>
  <![CDATA[ id="${name}"]]>
  <c:if test="${readonly}">
    <![CDATA[ disabled="disabled" ]]>
  </c:if>
  <c:if test="${disabled}">
    <![CDATA[ disabled="disabled" ]]>
  </c:if>
  <c:if test="${multiple}">
    <![CDATA[ multiple="multiple" ]]>
  </c:if>
  <c:if test="${!empty(cssclass)}">
    <![CDATA[ class="${cssclass}" ]]>
  </c:if>
  <c:if test="${!empty(style)}">
    <![CDATA[ style="${style}" ]]>
  </c:if>
  <c:if test="${!empty(onchange)}">
    <![CDATA[ onChange="${onchange}" ]]>
  </c:if>
  <![CDATA[>]]>
  <jsp:doBody />
  <![CDATA[</select>]]>
</jsp:root>
