package it.openutils.web.tag.debug;

import java.util.HashMap;

import javax.servlet.ServletRequest;
import javax.servlet.jsp.JspException;


/**
 * @author fgiust
 * @version $Revision: 253 $ ($Author: fgiust $)
 */
public class DebugExecutionTag extends BaseDebugTag
{

    /**
     * Stable <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 222;

    /**
     * crea l'HashMap che verr� stampata nel metodo doEndTag()
     * @return int
     * @throws JspException eccezione generica
     * @see javax.servlet.jsp.tagext.Tag#doStartTag()
     */
    @Override
    public int doStartTag() throws JspException
    {

        HashMap map = new HashMap();

        ServletRequest request = pageContext.getRequest();

        map.put("action", request.getAttribute(""));

        setOutputClassName(false);
        setDebugMap(map);

        return super.doStartTag();
    }

}